Purchase Orders
Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Query parameters
Pageinteger · int32Optional
PageSizeinteger · int32Optional
clientIdstring · uuidOptional
Responses
200
OK
info1string · nullableOptional
info2string · nullableOptional
info3string · nullableOptional
info4string · nullableOptional
info5string · nullableOptional
info6string · nullableOptional
info7string · nullableOptional
info8string · nullableOptional
info9string · nullableOptional
info10string · nullableOptional
commentsstring · nullableOptional
carrierstring · nullableOptional
referenceNumberstring · nullableOptional
reference1string · nullableOptional
reference2string · nullableOptional
reference3string · nullableOptional
appointmentNumberstring · nullableOptional
appointmentDatestring · date-time · nullableOptional
requiredDatestring · date-time · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
purchaseOrderNumberstring · nullableOptional
get/purchase-orders
GET /purchase-orders HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
200
OK
[
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"comments": "text",
"carrier": "text",
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"appointmentNumber": "text",
"appointmentDate": "2026-01-01T00:00:00.000Z",
"requiredDate": "2026-01-01T00:00:00.000Z",
"dateCreated": "2026-01-01T00:00:00.000Z",
"closeDate": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"purchaseOrderNumber": "text",
"vendor": {
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"description": "text",
"address": {
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"vendorCode": "text"
},
"warehouse": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"warehouseCode": "text",
"name": "text",
"description": "text",
"phone": "text",
"email": "text",
"referenceNumber": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
}
}
]Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
info1string · nullableOptional
info2string · nullableOptional
info3string · nullableOptional
info4string · nullableOptional
info5string · nullableOptional
info6string · nullableOptional
info7string · nullableOptional
info8string · nullableOptional
info9string · nullableOptional
info10string · nullableOptional
commentsstring · nullableOptional
carrierstring · nullableOptional
referenceNumberstring · nullableOptional
reference1string · nullableOptional
reference2string · nullableOptional
reference3string · nullableOptional
appointmentNumberstring · nullableOptional
appointmentDatestring · date-time · nullableOptional
requiredDatestring · date-time · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
vendorIdstring · uuidOptional
warehouseIdstring · uuidOptional
purchaseOrderNumberstring · nullableOptional
Responses
200
OK
idstring · uuidOptional
406
Not Acceptable
post/purchase-orders
POST /purchase-orders HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 963
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"comments": "text",
"carrier": "text",
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"appointmentNumber": "text",
"appointmentDate": "2026-01-01T00:00:00.000Z",
"requiredDate": "2026-01-01T00:00:00.000Z",
"dateCreated": "2026-01-01T00:00:00.000Z",
"closeDate": "2026-01-01T00:00:00.000Z",
"vendorId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseId": "123e4567-e89b-12d3-a456-426614174000",
"purchaseOrderNumber": "text",
"lines": [
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"lineNumber": 1,
"packsize": 1,
"numberOfPacks": 1,
"productId": "123e4567-e89b-12d3-a456-426614174000",
"orderedQuantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text"
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
info1string · nullableOptional
info2string · nullableOptional
info3string · nullableOptional
info4string · nullableOptional
info5string · nullableOptional
info6string · nullableOptional
info7string · nullableOptional
info8string · nullableOptional
info9string · nullableOptional
info10string · nullableOptional
commentsstring · nullableOptional
carrierstring · nullableOptional
referenceNumberstring · nullableOptional
reference1string · nullableOptional
reference2string · nullableOptional
reference3string · nullableOptional
appointmentNumberstring · nullableOptional
appointmentDatestring · date-time · nullableOptional
requiredDatestring · date-time · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
Responses
200
OK
idstring · uuidOptional
406
Not Acceptable
put/purchase-orders
PUT /purchase-orders HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 875
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"comments": "text",
"carrier": "text",
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"appointmentNumber": "text",
"appointmentDate": "2026-01-01T00:00:00.000Z",
"requiredDate": "2026-01-01T00:00:00.000Z",
"dateCreated": "2026-01-01T00:00:00.000Z",
"closeDate": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"lines": [
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"lineNumber": 1,
"packsize": 1,
"numberOfPacks": 1,
"productId": "123e4567-e89b-12d3-a456-426614174000",
"orderedQuantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text"
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Query parameters
codestringOptional
clientIdstring · uuidOptional
Responses
200
OK
integer · int32Optional
406
Not Acceptable
delete/purchase-orders
DELETE /purchase-orders HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
1Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Body
idsstring · uuid[] · nullableOptional
uploadedSuceededboolean · nullableOptional
uploadMessagestring · nullableOptional
resetUploadCountboolean · nullableOptional
Responses
200
OK
No content
406
Not Acceptable
post/purchase-orders/upload
POST /purchase-orders/upload HTTP/1.1
ApiKey: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 119
{
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"uploadedSuceeded": true,
"uploadMessage": "text",
"resetUploadCount": true
}No content
Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Path parameters
idstring · uuidRequired
Responses
200
OK
info1string · nullableOptional
info2string · nullableOptional
info3string · nullableOptional
info4string · nullableOptional
info5string · nullableOptional
info6string · nullableOptional
info7string · nullableOptional
info8string · nullableOptional
info9string · nullableOptional
info10string · nullableOptional
commentsstring · nullableOptional
carrierstring · nullableOptional
referenceNumberstring · nullableOptional
reference1string · nullableOptional
reference2string · nullableOptional
reference3string · nullableOptional
appointmentNumberstring · nullableOptional
appointmentDatestring · date-time · nullableOptional
requiredDatestring · date-time · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
purchaseOrderNumberstring · nullableOptional
404
Not Found
get/purchase-orders/{id}
GET /purchase-orders/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"comments": "text",
"carrier": "text",
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"appointmentNumber": "text",
"appointmentDate": "2026-01-01T00:00:00.000Z",
"requiredDate": "2026-01-01T00:00:00.000Z",
"dateCreated": "2026-01-01T00:00:00.000Z",
"closeDate": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"vendor": {
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"description": "text",
"address": {
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"vendorCode": "text"
},
"warehouse": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"warehouseCode": "text",
"name": "text",
"description": "text",
"phone": "text",
"email": "text",
"referenceNumber": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
},
"purchaseOrderNumber": "text",
"lines": [
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"lineNumber": 1,
"product": {
"description": "text",
"upc": "text",
"barcodeType": "Code128",
"barcodeValue": "text",
"referenceNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"sku": "text"
},
"orderedQuantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"receivedQuantity": 1,
"details": [
{
"receivedQuantity": 1,
"lotNumber": "text",
"serialNumber": "text",
"expiryDate": "2026-01-01T00:00:00.000Z",
"packsizeEachCount": 1
}
]
}
]
}Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Path parameters
idstring · uuidRequired
Responses
200
OK
No content
406
Not Acceptable
delete/purchase-orders/{id}
DELETE /purchase-orders/{id} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
No content
Authorizations
ApiKeystringRequired
Api key taken from 'Gateway API key' setting.
Path parameters
fieldstringRequired
valuestringRequired
Responses
200
OK
info1string · nullableOptional
info2string · nullableOptional
info3string · nullableOptional
info4string · nullableOptional
info5string · nullableOptional
info6string · nullableOptional
info7string · nullableOptional
info8string · nullableOptional
info9string · nullableOptional
info10string · nullableOptional
commentsstring · nullableOptional
carrierstring · nullableOptional
referenceNumberstring · nullableOptional
reference1string · nullableOptional
reference2string · nullableOptional
reference3string · nullableOptional
appointmentNumberstring · nullableOptional
appointmentDatestring · date-time · nullableOptional
requiredDatestring · date-time · nullableOptional
dateCreatedstring · date-timeOptional
closeDatestring · date-time · nullableOptional
idstring · uuidOptional
purchaseOrderNumberstring · nullableOptional
404
Not Found
get/purchase-orders/{field}/{value}
GET /purchase-orders/{field}/{value} HTTP/1.1
ApiKey: YOUR_API_KEY
Accept: */*
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"comments": "text",
"carrier": "text",
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"appointmentNumber": "text",
"appointmentDate": "2026-01-01T00:00:00.000Z",
"requiredDate": "2026-01-01T00:00:00.000Z",
"dateCreated": "2026-01-01T00:00:00.000Z",
"closeDate": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"vendor": {
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"description": "text",
"address": {
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"vendorCode": "text"
},
"warehouse": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"warehouseCode": "text",
"name": "text",
"description": "text",
"phone": "text",
"email": "text",
"referenceNumber": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text"
},
"purchaseOrderNumber": "text",
"lines": [
{
"info1": "text",
"info2": "text",
"info3": "text",
"info4": "text",
"info5": "text",
"info6": "text",
"info7": "text",
"info8": "text",
"info9": "text",
"info10": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"lineNumber": 1,
"product": {
"description": "text",
"upc": "text",
"barcodeType": "Code128",
"barcodeValue": "text",
"referenceNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"client": {
"description": "text",
"ssccCompanyId": "text",
"companyName": "text",
"email": "text",
"phone": "text",
"contactPerson": "text",
"taxId": "text",
"address1": "text",
"address2": "text",
"city": "text",
"stateProvince": "text",
"zipPostalCode": "text",
"country": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text"
},
"sku": "text"
},
"orderedQuantity": 1,
"referenceNumber": "text",
"reference1": "text",
"reference2": "text",
"reference3": "text",
"receivedQuantity": 1,
"details": [
{
"receivedQuantity": 1,
"lotNumber": "text",
"serialNumber": "text",
"expiryDate": "2026-01-01T00:00:00.000Z",
"packsizeEachCount": 1
}
]
}
]
}Last updated
